Subject: Beta-20.1: Win95 and Win98 - Make problem with del shell comman d
From: [email-masked] (Mike Burns)

15 Jan 1999 01:18:05 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/alternative;
	boundary="---- =_NextPart_001_01BE3FEA.255304D0"
To: [email-masked]

This message is in MIME format. Since your mail reader does not understand
this format, some or all of this message may not be legible.

------ =_NextPart_001_01BE3FEA.255304D0
Content-Type: text/plain

I installed the full Beta-20.1 and set the paths etc.  I can't get the
"del" command to work from a make file in Win32 mode when running under
Win 95 or Win 98.  It works under Win NT 4.0.  and I can get the test
case below to work in UNIX mode using "rm" instead of "del".
Please find a simple test below.

Best Regards,
Michael Burns

Makefile (test.mak )

######################
DEL=del

..PHONY : CLEAN
CLEAN:
	$(DEL) test.txt
######################

COMMAND LINE
make --win32 CLEAN -f test.mak 

OUTPUT
del test.txt
Bad command or file name

------ =_NextPart_001_01BE3FEA.255304D0
Content-Type: text/html
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<META HTTP-EQUIV=3D"Content-Type" CONTENT=3D"text/html; =
charset=3DUS-ASCII">
<META NAME=3D"Generator" CONTENT=3D"MS Exchange Server version =
5.5.1960.3">
<TITLE> Beta-20.1:  Win95 and Win98 - Make problem with del shell =
command </TITLE>
</HEAD>
<BODY>

<P><FONT SIZE=3D2>I installed the full Beta-20.1 and set the paths =
etc.&nbsp; I can't get the &quot;del&quot; command to work from a make =
file in Win32 mode when running under Win 95 or Win 98.&nbsp; It works =
under Win NT 4.0.&nbsp; and I can get the test case below to work in =
UNIX mode using &quot;rm&quot; instead of &quot;del&quot;.</FONT></P>

<P><FONT SIZE=3D2>Please find a simple test below.</FONT>
</P>
<BR>

<P><FONT SIZE=3D2>Best Regards,</FONT>
<BR><FONT SIZE=3D2>Michael Burns</FONT>
</P>
<BR>

<P><FONT SIZE=3D2>Makefile (test.mak )</FONT>
</P>

<P><FONT SIZE=3D2>######################</FONT>
<BR><FONT SIZE=3D2>DEL=3Ddel</FONT>
</P>

<P><FONT SIZE=3D2>.PHONY : CLEAN</FONT>
<BR><FONT SIZE=3D2>CLEAN:</FONT>
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <FONT SIZE=3D2>$(DEL) =
test.txt</FONT>
<BR><FONT SIZE=3D2>######################</FONT>
</P>

<P><FONT SIZE=3D2>COMMAND LINE</FONT>
<BR><FONT SIZE=3D2>make --win32 CLEAN -f test.mak </FONT>
</P>

<P><FONT SIZE=3D2>OUTPUT</FONT>
<BR><FONT SIZE=3D2>del test.txt</FONT>
<BR><FONT SIZE=3D2>Bad command or file name</FONT>
</P>
<BR>
<BR>

</BODY>
</HTML>
------ =_NextPart_001_01BE3FEA.255304D0--
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".